Skip to main content
GET
/
v1
/
addresses
/
recipient
/
{id}
Get a recipient address
curl --request GET \
  --url https://api-sandbox.circle.com/v1/addresses/recipient/{id} \
  --header 'Authorization: Bearer <token>'
import requests

url = "https://api-sandbox.circle.com/v1/addresses/recipient/{id}"

headers = {"Authorization": "Bearer <token>"}

response = requests.get(url, headers=headers)

print(response.text)
const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};

fetch('https://api-sandbox.circle.com/v1/addresses/recipient/{id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));


{
  "data": {
    "id": "b8627ae8-732b-4d25-b947-1df8f4007a29",
    "address": "0x8381470ED67C3802402dbbFa0058E8871F017A6F",
    "addressTag": "123456789",
    "description": "My USDC address at a cryptocurrency exchange"
  }
}
{
"code": 4,
"message": "Unauthorized."
}
{
"code": 404,
"message": "Not found."
}
{
"code": -1,
"message": "Something went wrong. errId: 1f0b0c455e40f753f07b4f0ae6abd4b4"
}

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Path Parameters

id
string<uuid>
required

Universally unique identifier (UUID v4) of a resource.

Example:

"b3d9d2d5-4c12-4946-a09d-953e82fae2b0"

Response

Successfully retrieved a recipient address.

data
object